import re

from setuptools import find_packages, setup


def get_version():
    result = re.search(
        r'__version__\s*=\s*[\'"]([^\'"]*)[\'"]', open("documatic/__init__.py").read()
    )
    return result.group(1)


setup(
    version=get_version(),
    entry_points={
        "console_scripts": [
            "documatic=documatic.docs:generate_documentation",
            "stubgen=documatic.utils.config:create_config",
        ]
    },
)
